knewstuff Library: KNS::Provider Class Reference (knewstuff Library)

| # knewstuff Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KNS::Provider Class Reference

KNewStuff provider container. More...

`#include <provider.h>`

Collaboration diagram for KNS::Provider:

[legend]
List of all members.

## Public Types
typedef QPtrList< Provider > | List
## Public Member Functions
| Provider ()
| Provider (const QDomElement &)
| ~Provider ()
void | setName (const QString &)
QString | name () const
void | setDownloadUrl (const KURL &)
KURL | downloadUrl () const
void | setUploadUrl (const KURL &)
KURL | uploadUrl () const
void | setNoUploadUrl (const KURL &)
KURL | noUploadUrl () const
void | setNoUpload (bool)
bool | noUpload () const
void | setIcon (const KURL &)
KURL | icon () const
## Protected Member Functions
void | parseDomElement (const QDomElement &)
QDomElement | createDomElement (QDomDocument &, QDomElement &parent)

## Detailed Description

KNewStuff provider container.

This class provides accessors for the provider object. as used by KNewStuff. It should probably not be used directly by the application.

Author:
  Cornelius Schumacher (schumacher@kde.org)

Maintainer:
  Josef Spillner (spillner@kde.org)

Definition at line 46 of file provider.h.

## Constructor & Destructor Documentation

Provider::Provider | ( |  | ) |

| Constructor. Definition at line 33 of file provider.cpp.

Provider::Provider | ( | const QDomElement & |  | ) |

| Constructor with XML feed. Definition at line 37 of file provider.cpp.

Provider::~Provider | ( |  | ) |

| Destructor. Definition at line 42 of file provider.cpp.

## Member Function Documentation

void Provider::setName | ( | const QString & |  | ) |

| Sets the common name of the provider. Definition at line 47 of file provider.cpp. References name().

QString Provider::name | ( |  | ) | const

| Retrieves the common name of the provider. Returns: provider name Definition at line 52 of file provider.cpp. Referenced by setName().

void Provider::setDownloadUrl | ( | const KURL & |  | ) |

| Sets the download URL. Definition at line 69 of file provider.cpp.

KURL Provider::downloadUrl | ( |  | ) | const

| Retrieves the download URL. Returns: download URL Definition at line 74 of file provider.cpp.

void Provider::setUploadUrl | ( | const KURL & |  | ) |

| Sets the upload URL. Definition at line 80 of file provider.cpp.

KURL Provider::uploadUrl | ( |  | ) | const

| Retrieves the upload URL. Returns: upload URL Definition at line 85 of file provider.cpp.

void Provider::setNoUploadUrl | ( | const KURL & |  | ) |

| Sets the URL where a user is led if the provider does not support uploads. See also: setNoUpload Definition at line 91 of file provider.cpp.

KURL Provider::noUploadUrl | ( |  | ) | const

| Retrieves the URL where a user is led if the provider does not support uploads. Returns: website URL Definition at line 96 of file provider.cpp.

void Provider::setNoUpload | ( | bool |  | ) |

| Indicate whether provider supports uploads. Definition at line 102 of file provider.cpp.

bool Provider::noUpload | ( |  | ) | const

| Query whether provider supports uploads. Returns: upload support status Definition at line 107 of file provider.cpp.

void Provider::setIcon | ( | const KURL & |  | ) |

| Sets the URL for an icon for this provider. The icon should be in 32x32 format. If not set, the default icon of KDialogBase is used. Definition at line 58 of file provider.cpp.

KURL Provider::icon | ( |  | ) | const

| Retrieves the icon URL for this provider. Returns: icon URL Definition at line 63 of file provider.cpp.

The documentation for this class was generated from the following files:

- provider.h
- provider.cpp

This file is part of the documentation for knewstuff Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:28:45 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003